#
# Conditional build:
%bcond_with	tests		# unit tests
%bcond_with	tests_i18n	# tests with localization (requires some DateTime::Locale language resources)

%define		pdir	DateTime
Summary:	DateTime - representation of date/time combinations
Summary(pl.UTF-8):	DateTime - reprezentacja kombinacji daty i czasu
Name:		perl-DateTime
Version:	1.65
Release:	1%{?tld}
Epoch:		2
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{version}.tar.gz
# Source0-md5:	6f60018500f8f20c5fd3d34495eae1eb
URL:		https://metacpan.org/dist/DateTime
BuildRequires:	perl(Pod::Man) >= 1.14
BuildRequires:	perl-Dist-CheckConflicts >= 0.02
BuildRequires:	perl-devel >= 1:5.8.4
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-CPAN-Meta-Check >= 0.011
BuildRequires:	perl-CPAN-Meta-Requirements
BuildRequires:	perl-DateTime-Format-Mail >= 0.402
BuildRequires:	perl-DateTime-Format-Strptime >= 1.2000
BuildRequires:	perl-DateTime-Locale >= 1.06
BuildRequires:	perl-DateTime-TimeZone >= 3:2.44
BuildRequires:	perl-JSON-PP >= 2.27300
BuildRequires:	perl-Math-Round
BuildRequires:	perl-Params-ValidationCompiler >= 0.26
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-Specio >= 0.18
BuildRequires:	perl-Storable
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Test-Warnings >= 0.005
BuildRequires:	perl-Test-Without-Module
BuildRequires:	perl-Try-Tiny
BuildRequires:	perl-namespace-autoclean >= 0.19
%endif
%if %{with tests_i18n} && "%(ls /usr/share/perl5/vendor_perl/auto/share/dist/DateTime-Locale/{de,en-US-POSIX,fr,it}.pl >/dev/null 2>&1 ; echo $?)" != "0"
BuildRequires:	perl-DateTime-Locale(with_locales:de;en-US;fr;it)
%endif
BuildConflicts:	perl-DateTime-Format-Mail <= 0.402
Requires:	perl-base >= 1:5.8.7-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime is a class for the representation of date/time combinations,
and is part of the Perl DateTime project. For details on this project
please see <http://datetime.perl.org/>. The DateTime site has a FAQ
which may help answer many "how do I do X?" questions. The FAQ is at
<http://datetime.perl.org/faq.html>.

%description -l pl.UTF-8
DateTime to klasa do reprezentowania kombinacji daty i czasu, będąca
częścią perlowego projektu DateTime. Szczegóły dotyczące tego projektu
można znaleźć pod adresem <http://datetime.perl.org/>. Serwis ten ma
swoje FAQ, gdzie można znaleźć odpowiedzi na wiele pytań - dostępne
pod <http://datetime.perl.org/faq.html>.

%prep
%setup -q -n %{pdir}-%{version}

%if %{with tests} && %{without tests_i18n}
%{__sed} -i -e "/^test_strftime_for_locale( '\(de\|it\)'/d" t/13strftime.t
%{__sed} -i -e "/locale.*'de'/ s/'de'/'en-US'/" t/23storable.t
%{__rm} t/14locale.t t/41cldr-format.t
%endif

%build
%{__perl} Makefile.PL \
        INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# for noarch DateTime::* modules
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/DateTime/{Event,Format}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS Changes TODO leaptab.txt
%{perl_vendorarch}/DateTime.pm
%{perl_vendorarch}/DateTime/*.pm
%dir %{perl_vendorlib}/DateTime/Event
%dir %{perl_vendorlib}/DateTime/Format
%dir %{perl_vendorarch}/auto/DateTime
%attr(755,root,root) %{perl_vendorarch}/auto/DateTime/DateTime.so
%{_mandir}/man3/DateTime*.3pm*
%changelog
* Sat Aug 17 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-DateTime.git;a=log;h=master

* Wed Jul 03 2024 Jakub Bogusz <qboosh@pld-linux.org> d12f71a
- updated to 1.65

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> c70dc39
- perl 5.40.0 rebuild

* Wed Sep 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 3d5e223
- updated URLs

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> c83b725
- perl 5.38.0 rebuild

* Sat Nov 05 2022 Jakub Bogusz <qboosh@pld-linux.org> f214e9d
- updated to 1.59

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 52b7a94
- perl 5.36.0 rebuild

* Tue May 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 42b5c2c
- BR: perl-Test-Without-Module

* Mon May 30 2022 Jakub Bogusz <qboosh@pld-linux.org> d34b56a
- updated to 1.58

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> ef31ac1
- rebuild with perl 5.34

* Tue May 18 2021 Jakub Bogusz <qboosh@pld-linux.org> e195700
- updated to 1.54

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 33128fb
- rebuild with perl 5.32

* Tue May 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 0856ed2
- updated to 1.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 934981f
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 53ae18a
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ff82f15
- up to 1.51

* Fri Oct 05 2018 Jakub Bogusz <qboosh@pld-linux.org> 0f7febf
- disable by default tests requiring locale resources

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> f49a636
- release 2 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> b128c44
- updated to 1.50

* Thu Apr 12 2018 Jan Rękorajski <baggins@pld-linux.org> ba121f8
- updated deps

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> 0b60e7d
- updated to 1.46

